List Images
curl --request GET \
--url https://api.mountthor.com/v1/admin/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mountthor.com/v1/admin/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mountthor.com/v1/admin/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": [
{
"createdAt": "<string>",
"formatVersion": "<string>",
"id": "<string>",
"issues": [
{
"code": "<string>",
"remediation": "<string>",
"severity": "<string>",
"componentPath": "<string>",
"expected": "<string>",
"observed": "<string>"
}
],
"kind": "<string>",
"name": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"activeImport": {
"archiveSha256": "<string>",
"archiveSizeBytes": 123,
"imageId": "<string>",
"imageName": "<string>",
"importId": "<string>",
"issues": [
{
"code": "<string>",
"remediation": "<string>",
"severity": "<string>",
"componentPath": "<string>",
"expected": "<string>",
"observed": "<string>"
}
],
"progressPercent": 123,
"sourceImageId": "<string>",
"sourceImageName": "<string>",
"sourceImageSubjectDigest": "<string>",
"stage": "<string>",
"subjectDigest": "<string>",
"updatedAt": "<string>",
"uploadPartSizeBytes": 123,
"operationName": "<string>",
"uploadExpiresAt": "<string>"
},
"archiveSha256": "<string>",
"archiveSizeBytes": 123,
"compatibility": {
"architecture": "<string>",
"guestAgentContract": "<string>",
"hostClasses": [
"<string>"
],
"macosBuild": "<string>",
"macosVersion": "<string>",
"operatingSystem": "<string>",
"chipFamilies": [
"<string>"
],
"minFreeDiskBytes": 1,
"minHostMacosVersion": "<string>",
"requiredVirtualizationFeatures": [
"<string>"
],
"requiresApfsClone": true,
"toolchains": [
{
"name": "<string>",
"version": "<string>",
"build": "<string>"
}
]
},
"deletedAt": "<string>",
"lineage": {
"sourceImageId": "<string>",
"sourceImageName": "<string>",
"sourceImageSubjectDigest": "<string>"
},
"publishedAt": "<string>",
"subjectDigest": "<string>"
}
],
"nextPageToken": "<string>"
}"<string>"Images
List Images
GET
/
v1
/
admin
/
images
List Images
Authorizations
Bearer scheme name used by typed customer admin operations.
Query Parameters
Page size; defaults to 50 and is capped at 200.
Opaque cursor returned by the preceding page.